
// Constantes d�finies par l'utilisateur et d�pendantes de la raboteuse
#define HAUTEUR_MIN 5               // Hauteur minimale de la table en millimètres
#define HAUTEUR_MAX 230             // Hauteur maximale de la table en millimètres
#define HAUTEUR_HOME 230            // Hauteur de la table au repos en millimètres
#define NBR_PAS_MOTEUR 200      	// Nombre de pas par tour du moteur pas-à-pas
#define MICRO_PAS 4					// Nombre de micro pas utilisés par le driver du moteur 
#define PAS_VIS 2					// Pas de la vis de montée de la raboteuse en millimètres
#define DENTS_POULIE_MANIVELLE 20	// Nombre de dents de la poulie se trouvant sur l'axe de la manivelle
#define DENTS_POULIE_MOTEUR 20		// Nombre de dents de la poulie se trouvant sur l'axe du moteur
#define INVDIR false                // Sens de rotation du moteur pas à pas (pour inverser, remplacer "false" par "true")

// Profil de vitesse (à modifier par la suite si l'on souhaite être plus rapide ou plus lent) 
#define ACCELERATION 2        		// Accélération en mm/s^2
#define VITESSE_MAX 500   			// Vitesse maximale de montée de la table en mm/min (ici 500; c'est le premier nombre qu'il faut changer)
    
#define INTERVAL 200                // P�riode entre chaque rafraîchissement de l'écran en ms (ici 5 Hz (1/200 ms))

// Adresses des deux afficheurs
#define AFFSUP_ADRESSE 0x72      
#define AFFINF_ADRESSE 0x71
#define AFFSUP 1
#define AFFINF 2
#define LUMINOSITE1 255   // Valeur de la luminosité de l'afficheur 1 de 0 à 255 (le plus lumineux)
#define LUMINOSITE2 255   // Valeur de la luminosité de l'afficheur 2 de 0 à 255 (le plus lumineux)

// D�finition des entrées/sorties
// (c'est ici qu'il faut changer pour utiliser le programme sur une autre carte Arduino)
#define Lig1Pin 11        // Pins concernant les lignes du clavier
#define Lig2Pin 10
#define Lig3Pin 9
#define Lig4Pin 8

#define Col1Pin 7         // Pins concernant les colonnes du clavier
#define Col2Pin 6
#define Col3Pin 5
#define Col4Pin 4

#define StepPin 3         // Pins concernant le moteur pas à pas 
#define DirPin 12

// Librairies
#include <Keypad.h>
#include <Wire.h>
#include <AccelStepper.h>
#include <math.h>
